<template>
    <div></div>
</template>

<script>
    import {mapGetters,mapMutations} from 'vuex'

    export default {
        data(){
            return {
            }
        },
        computed: {
            ...mapGetters({
                'jumpUrls': 'jumpUrls',
            }),
        },
        mounted(){
            this.$Bus.$on('bus-showLogin', this._toggleLogin)
        },
        methods: {
            _toggleLogin(bool){
                if(bool){
                    window.location.href = this.jumpUrls.login;
                }
            },
        },
        beforeDestroy(){
            this.$Bus.$off('bus-showLogin', this._toggleLogin);
        },
    }
</script>

<style lang="less" scoped>
</style>
